--DROP TABLE FEDLOGDB.NMCRL_ORG_REPL CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_REPL
(
  NCAGE        VARCHAR2(5 BYTE)                 NOT NULL,
  REPLACEMENT  VARCHAR2(5 BYTE)                 NOT NULL
);

CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_REPL ON FEDLOGDB.NMCRL_ORG_REPL
(NCAGE, REPLACEMENT);

ALTER TABLE FEDLOGDB.NMCRL_ORG_REPL ADD (
  CONSTRAINT P_NMCRL_ORG_REPL
  PRIMARY KEY
  (NCAGE, REPLACEMENT)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_REPL
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRLORGREPL_NMCRLORG_REPL ON FEDLOGDB.NMCRL_ORG_REPL
(REPLACEMENT);

ALTER TABLE FEDLOGDB.NMCRL_ORG_REPL ADD (
  CONSTRAINT F_NMCRLORGREPL_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE
,  CONSTRAINT F_NMCRLORGREPL_NMCRLORG_REPL 
  FOREIGN KEY (REPLACEMENT) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
